diff --git a/util/nbt/src/main/java/com/mojang/nbt/tags/Tag.java b/util/nbt/src/main/java/com/mojang/nbt/tags/Tag.java
index cb2918cfc..abf683851 100644
--- a/util/nbt/src/main/java/com/mojang/nbt/tags/Tag.java
+++ b/util/nbt/src/main/java/com/mojang/nbt/tags/Tag.java
@@ -1,5 +1,8 @@
 package com.mojang.nbt.tags;
 
+import com.google.gson.JsonElement;
+import com.google.gson.JsonObject;
+import com.google.gson.JsonParseException;
 import com.mojang.nbt.UnknownTagException;
 import org.jetbrains.annotations.NotNull;
 import org.jetbrains.annotations.Nullable;
@@ -8,24 +11,10 @@ import java.io.*;
 import java.util.List;
 import java.util.Map;
 import java.util.Objects;
+import java.util.function.Supplier;
 
 public abstract class Tag<T>
 {
-    static final int TAG_END = 0;
-    static final int TAG_BYTE = 1;
-    static final int TAG_SHORT = 2;
-    static final int TAG_INT = 3;
-    static final int TAG_LONG = 4;
-    static final int TAG_FLOAT = 5;
-    static final int TAG_DOUBLE = 6;
-    static final int TAG_BYTE_ARRAY = 7;
-    static final int TAG_STRING = 8;
-    static final int TAG_LIST = 9;
-    static final int TAG_COMPOUND = 10;
-    static final int TAG_SHORT_ARRAY = 11;
-    static final int TAG_DOUBLE_ARRAY = 12;
-    static final int TAG_LONG_ARRAY = 13;
-
     /**
      * The key of the tag.
      */
@@ -58,6 +47,9 @@ public abstract class Tag<T>
     abstract void write(@NotNull DataOutput dos)
         throws IOException;
 
+    public abstract void fromJson(@NotNull JsonElement element) throws JsonParseException;
+    public abstract @NotNull JsonElement toJson();
+
     /**
      * Fetches the ID of the tag's type.
      * @return The ID of the tag's type.
@@ -116,11 +108,11 @@ public abstract class Tag<T>
     {
         byte typeId = dis.readByte();
 
-        if(typeId == TAG_END) {
+        if(typeId == TagID.TAG_END.getId()) {
             return new EndTag();
         }
         try {
-            Tag<?> tag = newTag(typeId);
+            Tag<?> tag = TagID.fromId(typeId).getNewTag();
             tag.name = dis.readUTF();
             tag.read(dis);
             return tag;
@@ -140,7 +132,7 @@ public abstract class Tag<T>
         throws IOException
     {
         dos.writeByte(tag.getId());
-        if(tag.getId() != TAG_END)
+        if(tag.getId() != TagID.TAG_END.getId())
         {
             dos.writeUTF(tag.getTagName());
             tag.write(dos);
@@ -196,84 +188,100 @@ public abstract class Tag<T>
         throw new IllegalArgumentException("No NBT Tag type for type '" + type + "'!");
     }
 
-    /**
-     * Creates a tag according to the given type ID.
-     * @param type The ID of the type of tag to create.
-     * @return The created tag, or null if the type ID doesn't match any tag types.
-     */
-    @SuppressWarnings("unused")
-    public static @NotNull Tag<?> newTag(byte type) {
-        switch (type) {
-            case TAG_END:
-                return new EndTag();
-            case TAG_BYTE:
-                return new ByteTag();
-            case TAG_SHORT:
-                return new ShortTag();
-            case TAG_INT:
-                return new IntTag();
-            case TAG_LONG:
-                return new LongTag();
-            case TAG_FLOAT:
-                return new FloatTag();
-            case TAG_DOUBLE:
-                return new DoubleTag();
-            case TAG_BYTE_ARRAY:
-                return new ByteArrayTag();
-            case TAG_STRING:
-                return new StringTag();
-            case TAG_LIST:
-                return new ListTag();
-            case TAG_COMPOUND:
-                return new CompoundTag();
-            case TAG_SHORT_ARRAY:
-                return new ShortArrayTag();
-            case TAG_DOUBLE_ARRAY:
-                return new DoubleArrayTag();
-            case TAG_LONG_ARRAY:
-                return new LongArrayTag();
+    public static @NotNull JsonElement serializeToJson(Tag<?> tag) {
+        final JsonObject tagObject = new JsonObject();
+        tagObject.addProperty("type", TagID.fromId(tag.getId()).getIdString());
+        tagObject.add("value", tag.toJson());
+        return tagObject;
+    }
+
+    public static @NotNull Tag<?> deserializeFromJson(@NotNull JsonElement element) throws JsonParseException {
+        if (!element.isJsonObject()) throw new JsonParseException("Tag element must be a JsonObject! " + element);
+        JsonObject object = element.getAsJsonObject();
+        if (!object.has("type")) throw new JsonParseException("Tag element does not have type defined!");
+        String type = object.get("type").getAsString();
+        Tag<?> tag = TagID.fromIdString(type).getNewTag();
+        if (object.has("value")) {
+            tag.fromJson(object.get("value"));
         }
-        throw new IllegalArgumentException("No NBT Tag type for type '" + type + "'!");
+        return tag;
     }
 
-    /**
-     * Gets a string representing a tag's type.
-     * @param type The type ID corresponding to the type of tag.
-     * @return A string representing the tag type ID.
-     */
-    @SuppressWarnings("unused")
-    public static @NotNull String getTagName(byte type)
-    {
-        switch (type) {
-            case TAG_END:
-                return "TAG_End";
-            case TAG_BYTE:
-                return "TAG_Byte";
-            case TAG_SHORT:
-                return "TAG_Short";
-            case TAG_INT:
-                return "TAG_Int";
-            case TAG_LONG:
-                return "TAG_Long";
-            case TAG_FLOAT:
-                return "TAG_Float";
-            case TAG_DOUBLE:
-                return "TAG_Double";
-            case TAG_BYTE_ARRAY:
-                return "TAG_Byte_Array";
-            case TAG_STRING:
-                return "TAG_String";
-            case TAG_LIST:
-                return "TAG_List";
-            case TAG_COMPOUND:
-                return "TAG_Compound";
-            case TAG_SHORT_ARRAY:
-                return "TAG_Short_Array";
-            case TAG_DOUBLE_ARRAY:
-                return "TAG_Double_Array";
-            case TAG_LONG_ARRAY:
-                return "TAG_Long_Array";
+    public enum TagID {
+        TAG_END(0, "TAG_End", EndTag::new),
+        TAG_BYTE(1, "TAG_Byte", ByteTag::new),
+        TAG_SHORT(2, "TAG_Short", ShortTag::new),
+        TAG_INT(3, "TAG_Int", IntTag::new),
+        TAG_LONG(4, "TAG_Long", LongTag::new),
+        TAG_FLOAT(5, "TAG_Float", FloatTag::new),
+        TAG_DOUBLE(6, "TAG_Double", DoubleTag::new),
+        TAG_BYTE_ARRAY(7, "TAG_Byte_Array", ByteArrayTag::new),
+        TAG_STRING(8, "TAG_String", StringTag::new),
+        TAG_LIST(9, "TAG_List", ListTag::new),
+        TAG_COMPOUND(10, "TAG_Compound", CompoundTag::new),
+        TAG_SHORT_ARRAY(11, "TAG_Short_Array", ShortArrayTag::new),
+        TAG_DOUBLE_ARRAY(12, "TAG_Double_Array", DoubleArrayTag::new),
+        TAG_LONG_ARRAY(13, "TAG_Long_Array", LongArrayTag::new);
+
+        private final byte id;
+        private final @NotNull String name;
+        private final @NotNull Supplier<? extends @NotNull Tag<?>> tagSupplier;
+        TagID(final int id, @NotNull final String name, @NotNull final Supplier<? extends @NotNull Tag<?>> tagSupplier) {
+            this.id = (byte) id;
+            this.name = name;
+            this.tagSupplier = tagSupplier;
+        }
+
+        public byte getId() {
+            return this.id;
+        }
+
+        public @NotNull String getIdString() {
+            return this.name;
+        }
+
+        public @NotNull Tag<?> getNewTag() {
+            return this.tagSupplier.get();
+        }
+
+        public static @NotNull TagID fromId(final byte id) {
+            switch (id) {
+                case 0: return TAG_END;
+                case 1: return TAG_BYTE;
+                case 2: return TAG_SHORT;
+                case 3: return TAG_INT;
+                case 4: return TAG_LONG;
+                case 5: return TAG_FLOAT;
+                case 6: return TAG_DOUBLE;
+                case 7: return TAG_BYTE_ARRAY;
+                case 8: return TAG_STRING;
+                case 9: return TAG_LIST;
+                case 10: return TAG_COMPOUND;
+                case 11: return TAG_SHORT_ARRAY;
+                case 12: return TAG_DOUBLE_ARRAY;
+                case 13: return TAG_LONG_ARRAY;
+            }
+            throw new IllegalArgumentException("No NBT Tag type for id '" + id + "'!");
+        }
+
+        public static @NotNull TagID fromIdString(final @NotNull String idString) {
+            switch (idString) {
+                case "TAG_End": return TAG_END;
+                case "TAG_Byte": return TAG_BYTE;
+                case "TAG_Short": return TAG_SHORT;
+                case "TAG_Int": return TAG_INT;
+                case "TAG_Long": return TAG_LONG;
+                case "TAG_Float": return TAG_FLOAT;
+                case "TAG_Double": return TAG_DOUBLE;
+                case "TAG_Byte_Array": return TAG_BYTE_ARRAY;
+                case "TAG_String": return TAG_STRING;
+                case "TAG_List": return TAG_LIST;
+                case "TAG_Compound": return TAG_COMPOUND;
+                case "TAG_Short_Array": return TAG_SHORT_ARRAY;
+                case "TAG_Double_Array": return TAG_DOUBLE_ARRAY;
+                case "TAG_Long_Array": return TAG_LONG_ARRAY;
+            }
+            throw new IllegalArgumentException("No NBT Tag type for type '" + idString + "'!");
         }
-        throw new IllegalArgumentException("No NBT Tag type for type '" + type + "'!");
     }
 }
diff --git a/util/nbt/src/test/java/TestNbtIo.java b/util/nbt/src/test/java/TestNbtIo.java
index 3ba692855..3a480a11b 100644
--- a/util/nbt/src/test/java/TestNbtIo.java
+++ b/util/nbt/src/test/java/TestNbtIo.java
@@ -1,3 +1,8 @@
+import com.google.gson.Gson;
+import com.google.gson.GsonBuilder;
+import com.google.gson.JsonElement;
+import com.google.gson.JsonParser;
+import com.google.gson.stream.JsonWriter;
 import com.mojang.nbt.NbtIo;
 import com.mojang.nbt.tags.ByteArrayTag;
 import com.mojang.nbt.tags.ByteTag;
@@ -16,10 +21,16 @@ import org.junit.jupiter.api.Assertions;
 import org.junit.jupiter.api.DisplayName;
 import org.junit.jupiter.api.Test;
 
+import java.io.BufferedOutputStream;
 import java.io.DataInputStream;
 import java.io.DataOutputStream;
 import java.io.File;
+import java.io.FileInputStream;
+import java.io.FileWriter;
 import java.io.IOException;
+import java.io.InputStream;
+import java.io.InputStreamReader;
+import java.io.OutputStream;
 import java.nio.file.Files;
 
 public class TestNbtIo {
@@ -216,38 +227,38 @@ public class TestNbtIo {
     public void ioTest() {
         File out = new File("./testWork");
         out.mkdirs();
-        File fileOut = new File(out, "test.dat");
+        File fileOutDat = new File(out, "test.dat");
         {
 
             CompoundTag dataTag = new CompoundTag();
             dataTag.putString("Hello", "World!");
 
-            fileOut.delete();
+            fileOutDat.delete();
             try {
-                NbtIo.write(dataTag, new DataOutputStream(Files.newOutputStream(fileOut.toPath())));
+                NbtIo.write(dataTag, new DataOutputStream(Files.newOutputStream(fileOutDat.toPath())));
             } catch (IOException e) {
                 Assertions.fail("Failed to write uncompressed test tag!", e);
             }
             try {
-                CompoundTag readBackTag = NbtIo.read(new DataInputStream(Files.newInputStream(fileOut.toPath())));
+                CompoundTag readBackTag = NbtIo.read(new DataInputStream(Files.newInputStream(fileOutDat.toPath())));
                 Assertions.assertEquals(dataTag, readBackTag);
             } catch (IOException e) {
                 Assertions.fail("Failed to read uncompressed test tag!", e);
             }
-            fileOut.delete();
+            fileOutDat.delete();
 
             try {
-                NbtIo.writeCompressed(dataTag, new DataOutputStream(Files.newOutputStream(fileOut.toPath())));
+                NbtIo.writeCompressed(dataTag, new DataOutputStream(Files.newOutputStream(fileOutDat.toPath())));
             } catch (IOException e) {
                 Assertions.fail("Failed to write compressed test tag!", e);
             }
             try {
-                CompoundTag readBackTag = NbtIo.readCompressed(Files.newInputStream(fileOut.toPath()));
+                CompoundTag readBackTag = NbtIo.readCompressed(Files.newInputStream(fileOutDat.toPath()));
                 Assertions.assertEquals(dataTag, readBackTag);
             } catch (IOException e) {
                 Assertions.fail("Failed to read compressed test tag!", e);
             }
-            fileOut.delete();
+            fileOutDat.delete();
         }
 
         {
@@ -275,32 +286,80 @@ public class TestNbtIo {
             dataTag.put("List", listTag);
 
 
-            fileOut.delete();
+            fileOutDat.delete();
             try {
-                NbtIo.write(dataTag, new DataOutputStream(Files.newOutputStream(fileOut.toPath())));
+                NbtIo.write(dataTag, new DataOutputStream(Files.newOutputStream(fileOutDat.toPath())));
             } catch (IOException e) {
                 Assertions.fail("Failed to write uncompressed test tag!", e);
             }
             try {
-                CompoundTag readBackTag = NbtIo.read(new DataInputStream(Files.newInputStream(fileOut.toPath())));
+                CompoundTag readBackTag = NbtIo.read(new DataInputStream(Files.newInputStream(fileOutDat.toPath())));
                 Assertions.assertEquals(dataTag, readBackTag);
             } catch (IOException e) {
                 Assertions.fail("Failed to read uncompressed test tag!", e);
             }
-            fileOut.delete();
+            fileOutDat.delete();
 
             try {
-                NbtIo.writeCompressed(dataTag, new DataOutputStream(Files.newOutputStream(fileOut.toPath())));
+                NbtIo.writeCompressed(dataTag, new DataOutputStream(Files.newOutputStream(fileOutDat.toPath())));
             } catch (IOException e) {
                 Assertions.fail("Failed to write compressed test tag!", e);
             }
             try {
-                CompoundTag readBackTag = NbtIo.readCompressed(Files.newInputStream(fileOut.toPath()));
+                CompoundTag readBackTag = NbtIo.readCompressed(Files.newInputStream(fileOutDat.toPath()));
                 Assertions.assertEquals(dataTag, readBackTag);
             } catch (IOException e) {
                 Assertions.fail("Failed to read compressed test tag!", e);
             }
-            fileOut.delete();
+            fileOutDat.delete();
+        }
+    }
+
+    @Test
+    @DisplayName("Test JsonIO")
+    public void jsonIoTest() {
+        File out = new File("./testWork");
+        out.mkdirs();
+        File fileOutJson = new File(out, "test.json");
+        {
+            CompoundTag dataTag = new CompoundTag();
+            dataTag.put("String", new StringTag("String"));
+            dataTag.put("Byte", new ByteTag(Byte.MAX_VALUE));
+            dataTag.put("Short", new ShortTag(Short.MAX_VALUE));
+            dataTag.put("Int", new IntTag(Integer.MAX_VALUE));
+            dataTag.put("Long", new LongTag(Long.MAX_VALUE));
+            dataTag.put("Float", new FloatTag(Float.MAX_VALUE));
+            dataTag.put("Double", new DoubleTag(Double.MAX_VALUE));
+            dataTag.put("ByteArray", new ByteArrayTag(new byte[]{Byte.MIN_VALUE, 0, Byte.MAX_VALUE}));
+            dataTag.put("ShortArray", new ShortArrayTag(new short[]{Short.MIN_VALUE, 0, Short.MAX_VALUE}));
+//        tag.put("IntArray", new IntArrayTag(new int[]{Integer.MIN_VALUE, 0, Integer.MAX_VALUE}));
+            dataTag.put("LongArray", new LongArrayTag(new long[]{Long.MIN_VALUE, 0, Long.MAX_VALUE}));
+//        tag.put("FloatArray", new FloatArrayTag(new float[]{Float.NaN, Float.NEGATIVE_INFINITY, Float.MIN_VALUE, 0, Float.MAX_VALUE, Float.POSITIVE_INFINITY}));
+            dataTag.put("DoubleArray", new DoubleArrayTag(new double[]{Double.NaN, Double.NEGATIVE_INFINITY, Double.MIN_VALUE, 0, Double.MAX_VALUE, Double.POSITIVE_INFINITY}));
+
+            ListTag listTag = new ListTag();
+            listTag.addTag(new IntTag(0));
+            listTag.addTag(new IntTag(1));
+            listTag.addTag(new IntTag(2));
+            listTag.addTag(new IntTag(3));
+            listTag.addTag(new IntTag(4));
+            dataTag.put("List", listTag);
+
+            Gson gson = new GsonBuilder().setPrettyPrinting().create();
+
+            try (FileWriter writer = new FileWriter(fileOutJson)){
+                JsonElement element = NbtIo.toJson(dataTag);
+                writer.write(gson.toJson(element));
+            } catch (IOException e) {
+                Assertions.fail("Failed to write json test tag!", e);
+            }
+            try (InputStream stream = Files.newInputStream(fileOutJson.toPath())) {
+                CompoundTag readBackTag = NbtIo.fromJson(JsonParser.parseReader(new InputStreamReader(stream)));
+                Assertions.assertEquals(dataTag, readBackTag);
+            } catch (IOException e) {
+                Assertions.fail("Failed to read json test tag!", e);
+            }
+            fileOutJson.delete();
         }
     }
 }
diff --git a/util/nbt/src/test/java/TestTag.java b/util/nbt/src/test/java/TestTag.java
index b66c41579..94ec0d38e 100644
--- a/util/nbt/src/test/java/TestTag.java
+++ b/util/nbt/src/test/java/TestTag.java
@@ -26,40 +26,40 @@ import java.util.Map;
 public class TestTag {
     @Test
     public void testTagNames() {
-        Assertions.assertEquals("TAG_End", Tag.getTagName((byte) 0));
-        Assertions.assertEquals("TAG_Byte", Tag.getTagName((byte) 1));
-        Assertions.assertEquals("TAG_Short", Tag.getTagName((byte) 2));
-        Assertions.assertEquals("TAG_Int", Tag.getTagName((byte) 3));
-        Assertions.assertEquals("TAG_Long", Tag.getTagName((byte) 4));
-        Assertions.assertEquals("TAG_Float", Tag.getTagName((byte) 5));
-        Assertions.assertEquals("TAG_Double", Tag.getTagName((byte) 6));
-        Assertions.assertEquals("TAG_Byte_Array", Tag.getTagName((byte) 7));
-        Assertions.assertEquals("TAG_String", Tag.getTagName((byte) 8));
-        Assertions.assertEquals("TAG_List", Tag.getTagName((byte) 9));
-        Assertions.assertEquals("TAG_Compound", Tag.getTagName((byte) 10));
-        Assertions.assertEquals("TAG_Short_Array", Tag.getTagName((byte) 11));
-        Assertions.assertEquals("TAG_Double_Array", Tag.getTagName((byte) 12));
-        Assertions.assertEquals("TAG_Long_Array", Tag.getTagName((byte) 13));
-        Assertions.assertThrows(IllegalArgumentException.class, () -> Tag.getTagName((byte) - 1));
+        Assertions.assertEquals("TAG_End", Tag.TagID.fromId((byte) 0).getIdString());
+        Assertions.assertEquals("TAG_Byte", Tag.TagID.fromId((byte) 1).getIdString());
+        Assertions.assertEquals("TAG_Short", Tag.TagID.fromId((byte) 2).getIdString());
+        Assertions.assertEquals("TAG_Int", Tag.TagID.fromId((byte) 3).getIdString());
+        Assertions.assertEquals("TAG_Long", Tag.TagID.fromId((byte) 4).getIdString());
+        Assertions.assertEquals("TAG_Float", Tag.TagID.fromId((byte) 5).getIdString());
+        Assertions.assertEquals("TAG_Double", Tag.TagID.fromId((byte) 6).getIdString());
+        Assertions.assertEquals("TAG_Byte_Array", Tag.TagID.fromId((byte) 7).getIdString());
+        Assertions.assertEquals("TAG_String", Tag.TagID.fromId((byte) 8).getIdString());
+        Assertions.assertEquals("TAG_List", Tag.TagID.fromId((byte) 9).getIdString());
+        Assertions.assertEquals("TAG_Compound", Tag.TagID.fromId((byte) 10).getIdString());
+        Assertions.assertEquals("TAG_Short_Array", Tag.TagID.fromId((byte) 11).getIdString());
+        Assertions.assertEquals("TAG_Double_Array", Tag.TagID.fromId((byte) 12).getIdString());
+        Assertions.assertEquals("TAG_Long_Array", Tag.TagID.fromId((byte) 13).getIdString());
+        Assertions.assertThrows(IllegalArgumentException.class, () -> Tag.TagID.fromId((byte) - 1).getIdString());
     }
 
     @Test
     public void testTagTypes() {
-        Assertions.assertInstanceOf(EndTag.class, Tag.newTag((byte) 0));
-        Assertions.assertInstanceOf(ByteTag.class, Tag.newTag((byte) 1));
-        Assertions.assertInstanceOf(ShortTag.class, Tag.newTag((byte) 2));
-        Assertions.assertInstanceOf(IntTag.class, Tag.newTag((byte) 3));
-        Assertions.assertInstanceOf(LongTag.class, Tag.newTag((byte) 4));
-        Assertions.assertInstanceOf(FloatTag.class, Tag.newTag((byte) 5));
-        Assertions.assertInstanceOf(DoubleTag.class, Tag.newTag((byte) 6));
-        Assertions.assertInstanceOf(ByteArrayTag.class, Tag.newTag((byte) 7));
-        Assertions.assertInstanceOf(StringTag.class, Tag.newTag((byte) 8));
-        Assertions.assertInstanceOf(ListTag.class, Tag.newTag((byte) 9));
-        Assertions.assertInstanceOf(CompoundTag.class, Tag.newTag((byte) 10));
-        Assertions.assertInstanceOf(ShortArrayTag.class, Tag.newTag((byte) 11));
-        Assertions.assertInstanceOf(DoubleArrayTag.class, Tag.newTag((byte) 12));
-        Assertions.assertInstanceOf(LongArrayTag.class, Tag.newTag((byte) 13));
-        Assertions.assertThrows(IllegalArgumentException.class, () -> Tag.newTag((byte) - 1));
+        Assertions.assertInstanceOf(EndTag.class, Tag.TagID.fromId((byte) 0).getNewTag());
+        Assertions.assertInstanceOf(ByteTag.class, Tag.TagID.fromId((byte) 1).getNewTag());
+        Assertions.assertInstanceOf(ShortTag.class, Tag.TagID.fromId((byte) 2).getNewTag());
+        Assertions.assertInstanceOf(IntTag.class, Tag.TagID.fromId((byte) 3).getNewTag());
+        Assertions.assertInstanceOf(LongTag.class, Tag.TagID.fromId((byte) 4).getNewTag());
+        Assertions.assertInstanceOf(FloatTag.class, Tag.TagID.fromId((byte) 5).getNewTag());
+        Assertions.assertInstanceOf(DoubleTag.class, Tag.TagID.fromId((byte) 6).getNewTag());
+        Assertions.assertInstanceOf(ByteArrayTag.class, Tag.TagID.fromId((byte) 7).getNewTag());
+        Assertions.assertInstanceOf(StringTag.class, Tag.TagID.fromId((byte) 8).getNewTag());
+        Assertions.assertInstanceOf(ListTag.class, Tag.TagID.fromId((byte) 9).getNewTag());
+        Assertions.assertInstanceOf(CompoundTag.class, Tag.TagID.fromId((byte) 10).getNewTag());
+        Assertions.assertInstanceOf(ShortArrayTag.class, Tag.TagID.fromId((byte) 11).getNewTag());
+        Assertions.assertInstanceOf(DoubleArrayTag.class, Tag.TagID.fromId((byte) 12).getNewTag());
+        Assertions.assertInstanceOf(LongArrayTag.class, Tag.TagID.fromId((byte) 13).getNewTag());
+        Assertions.assertThrows(IllegalArgumentException.class, () -> Tag.TagID.fromId((byte) - 1).getNewTag());
     }
 
     @Test
diff --git a/util/seed-viewer/build.gradle.kts b/util/seed-viewer/build.gradle.kts
index b71d5edae..ed88b92e6 100644
--- a/util/seed-viewer/build.gradle.kts
+++ b/util/seed-viewer/build.gradle.kts
@@ -13,15 +13,8 @@ val include: Configuration by configurations.creating
 
 repositories {
     mavenCentral()
+    maven("https://jitpack.io")
     maven("https://libraries.minecraft.net/")
-    ivy {
-        url = uri("https://github.com/Better-than-Adventure")
-        patternLayout {
-            artifact("[organisation]/releases/download/[revision]/brigadier-[revision].jar")
-            m2Compatible
-        }
-        metadataSources { artifact() }
-    }
 }
 
 dependencies {
